Skip to main content

Rename a workspace

Renames a workspace by assigning a specified new name. Use this to update the workspace name for better organization or clarity.

HTTP method and endpoint

PATCH /tenancy/account/{accountId}/workspace/{workspacePublicId}

Token usage

BlueXP user token.

Usage notes

Renames a workspace with a specified new name.

Parameters

Name Type In Required Description

accountId

string

path

True

workspacePublicId

string

path

True

authorization

string

header

True

Authorization JWT access token

X-User-Token

string

header

False

User JWT access token

X-Service-Request-Id

string

header

False

Request identifier

Request Body

Name Type Required Description

newName

string

True

Example request
{
  "newName": "string"
}

Response

Status: 200, Default response
Name Type Required Description

workspacePublicId

string

False

workspaceName

string

False

Example response
{
  "workspacePublicId": "string",
  "workspaceName": "string"
}

Definitions

See Definitions

body

Name Type Required Description

newName

string

True

Close
Try it out

Sign in with your NetApp Cloud Central credentials.

Try this API

Parameters

Headers

Body

Code

Response